Introducing Managed ClickStack: Observability for OpenTelemetry at scale Read more →
Introducing Managed ClickStack: Observability for OpenTelemetry at scale Read more →
Retrieves a list of all alerts for the authenticated team
curl --request GET \
--url https://api.hyperdx.io/api/v2/alerts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "65f5e4a3b9e77c001a123456",
"name": "High Error Rate",
"message": "Error rate exceeds threshold",
"threshold": 100,
"interval": "15m",
"thresholdType": "above",
"source": "tile",
"state": "inactive",
"channel": {
"type": "webhook",
"webhookId": "65f5e4a3b9e77c001a789012"
},
"team": "65f5e4a3b9e77c001a345678",
"tileId": "65f5e4a3b9e77c001a901234",
"dashboard": "65f5e4a3b9e77c001a567890",
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Was this page helpful?
curl --request GET \
--url https://api.hyperdx.io/api/v2/alerts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "65f5e4a3b9e77c001a123456",
"name": "High Error Rate",
"message": "Error rate exceeds threshold",
"threshold": 100,
"interval": "15m",
"thresholdType": "above",
"source": "tile",
"state": "inactive",
"channel": {
"type": "webhook",
"webhookId": "65f5e4a3b9e77c001a789012"
},
"team": "65f5e4a3b9e77c001a345678",
"tileId": "65f5e4a3b9e77c001a901234",
"dashboard": "65f5e4a3b9e77c001a567890",
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z"
}
]
}